Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005231Dwarf FortressAdventure Mode -- Eating/Drinkingpublic2012-02-17 12:132012-02-21 05:03
Assigned ToToady One 
PlatformOSWindows 7 64-bitOS Version
Product Version0.34.01 
Target VersionFixed in Version0.34.03 
Summary0005231: Drinking blood as vampire causes permanent speed loss
DescriptionI've noticed that my vampiric character's speed has permanently dropped. This happened upon feeding for the first time. Up until then my character had over 2000 speed racked up, and once he fed it went down to around 1200.

With another demi-god character, who started off at around 1600 speed, it also dropped him to 1200.
Steps To Reproduce1. Become vampire by drinking a vampire's blood.
2. Get some creature to pained or unconscious status and drain its blood.
TagsNo tags attached.
Attached Files

- Relationships
related to 0005572new adventure mode vampirism still causes speed drop 

-  Notes
Toady One (administrator)
2012-02-21 05:03

This is a weird one -- all attribute increases for races that have growing muscles cause the body to actually get large muscles, including zombies and vampires. That was something I was writing off as a to-handle-later thing (it still is), since it would need to distinguish supernatural and natural strength, etc. But attribute change syndromes weren't causing it to evaluate body size, so it was only when your teeth grew out that it saw that your muscles were giant too. The permanent speed loss is from its new permanent recognition that you have giant heavy muscles (the muscle weight speed loss is usually counteracted by the strength, but you were already getting the positive benefit before your teeth grew, so it was more like you became heavier without becoming stronger).

Anyway, vampires and zombies will still look and be sized like body builders, but at least it'll respect that more thoroughly now.

- Issue History
Date Modified Username Field Change
2012-02-17 12:13 Virtz New Issue
2012-02-17 12:39 Footkerchief Summary Vampirism permanent speed loss => Drinking blood as vampire causes permanent speed loss
2012-02-21 05:03 Toady One Note Added: 0020352
2012-02-21 05:03 Toady One Status new => resolved
2012-02-21 05:03 Toady One Fixed in Version => Next Version
2012-02-21 05:03 Toady One Resolution open => fixed
2012-02-21 05:03 Toady One Assigned To => Toady One
2012-03-07 13:40 Footkerchief Relationship added related to 0005572

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker